%define name perl-Inline
%define version 0.44
%define release 1mdk

Summary: Write Perl subroutines in other programming languages
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group: Development/Perl
Source: Inline-%{version}.tar.bz2
URL: http://search.cpan.org/search?mode=module&query=Inline
Patch0: Inline-0.44-fix-underscore-localization.patch.bz2
BuildRequires: perl-devel perl-Parse-RecDescent
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}

%description
The Inline module allows you to put source code from other programming
languages directly "inline" in a Perl script or module. The code is
automatically compiled as needed, and then loaded for immediate access
from Perl.

Inline saves you from the hassle of having to write and compile your
own glue code using facilities like XS or SWIG. Simply type the code
where you want it and run your Perl as normal. All the hairy details
are handled for you. The compilation and installation of your code
chunks all happen transparently; all you will notice is the delay of
compilation on the first run.

The Inline code only gets compiled the first time you run it (or
whenever it is modified) so you only take the performance hit
once. Code that is Inlined into distributed modules (like on the CPAN)
will get compiled when the module is installed, so the end user will
never notice the compilation time.

%prep
%setup -q -n Inline-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make OPTIMIZE="$RPM_OPT_FLAGS"
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}

%files
%defattr(-,root,root)
%doc README
%{_mandir}/*/*
%{_libdir}/perl5/vendor_perl/*/Inline*
%{_libdir}/perl5/vendor_perl/*/auto/Inline*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.44-1mdk
- first mdk package
